Skip to content

Upsert charging location set

Request

Create or update a charging location set. A unique ID is required to identify the charging location set. Calling this endpoint with an existing ID will update the charging location set.

Security
clientCredentials
Path
idstring^[a-zA-Z0-9.~\-_]{1,200}$required

The unique identifier of an entity

Headers
If-Matchstring

Weak Etag used for optimistic locking.

Example:W/"24"
Bodyapplication/jsonrequired
namestring, [ 1 .. 200 ] characters

The name of the charging location set

Example:"Flanders Charging Locations"
charging_locationsArray of objects, >= 0 items(ChargingLocation)

List of charging locations in this set

curl -i -X PUT \
  'https://developer.conundra.eu/_mock/apis/plannings/planning-api/locations/charging-location-sets/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'If-Match: W/"24"' \
  -d '{
    "id": "cb1fb12c-0abc-413c-a69d-63c62566685f",
    "name": "Flanders Charging Locations",
    "charging_locations": [
      {
        "id": "cb1fb12c-0abc-413c-a69d-63c62566685f",
        "charging_stations": [
          {
            "maximum_power": 300
          }
        ]
      }
    ]
  }'

Responses

charging location set created successfully

Headers
ETagstring

A weak Etag (ex W/"<etag_value>") which contains the current version of the entity

Example:"W/\"25\""
Response
No content